---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libdrrawmon001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x51480, symBinAddr: 0x7310, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x533C0, symBinAddr: 0x9250, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x537B0, symBinAddr: 0x9640, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54750, symBinAddr: 0xA5E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x54760, symBinAddr: 0xA5F0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4EFC0, symBinAddr: 0x5090, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4EFC4, symBinAddr: 0x5094, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4EFC8, symBinAddr: 0x5098, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4F120, symBinAddr: 0x50A0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4F1D8, symBinAddr: 0x5158, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4F1DC, symBinAddr: 0x515C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4F1E0, symBinAddr: 0x5160, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4F1E4, symBinAddr: 0x5164, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4F1E8, symBinAddr: 0x5168, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4F1F0, symBinAddr: 0x5170, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4F208, symBinAddr: 0x5188, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4F210, symBinAddr: 0x5190, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4F218, symBinAddr: 0x5198, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4F220, symBinAddr: 0x51A0, symSize: 0x0 }
  - { offsetInCU: 0x8FD8, offset: 0x8FD8, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4F228, symBinAddr: 0x51A8, symSize: 0x0 }
  - { offsetInCU: 0x90BE, offset: 0x90BE, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4F26A, symBinAddr: 0x51BA, symSize: 0x0 }
  - { offsetInCU: 0x90DE, offset: 0x90DE, size: 0x8, addend: 0x0, symName: __ZL8monitors, symObjAddr: 0x4F270, symBinAddr: 0x51C0, symSize: 0x0 }
  - { offsetInCU: 0x9104, offset: 0x9104, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x51270, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x9124, offset: 0x9124, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x51278, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x913D, offset: 0x913D, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x51280, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x918F, offset: 0x918F, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x970, symSize: 0x80 }
  - { offsetInCU: 0x9224, offset: 0x9224, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x8C0, symSize: 0xB0 }
  - { offsetInCU: 0x927F, offset: 0x927F, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x7C0, symSize: 0x100 }
  - { offsetInCU: 0x9512, offset: 0x9512, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x9F0, symSize: 0x220 }
  - { offsetInCU: 0x96F7, offset: 0x96F7, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xC10, symSize: 0xA0 }
  - { offsetInCU: 0x97AA, offset: 0x97AA, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xCB0, symSize: 0x110 }
  - { offsetInCU: 0x98A0, offset: 0x98A0, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0xDC0, symSize: 0x150 }
  - { offsetInCU: 0x9A1D, offset: 0x9A1D, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0xF10, symSize: 0x30 }
  - { offsetInCU: 0x9ADE, offset: 0x9ADE, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0xF40, symSize: 0x150 }
  - { offsetInCU: 0x9CD6, offset: 0x9CD6, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x1090, symSize: 0x160 }
  - { offsetInCU: 0x9E62, offset: 0x9E62, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x11F0, symSize: 0x1B0 }
  - { offsetInCU: 0xA07D, offset: 0xA07D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x13A0, symSize: 0xA0 }
  - { offsetInCU: 0xA14C, offset: 0xA14C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x1440, symSize: 0x20 }
  - { offsetInCU: 0xA183, offset: 0xA183, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x1460, symSize: 0x20 }
  - { offsetInCU: 0xA1BA, offset: 0xA1BA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x1480, symSize: 0x20 }
  - { offsetInCU: 0xA329, offset: 0xA329, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x14A0, symSize: 0x1A0 }
  - { offsetInCU: 0xA64F, offset: 0xA64F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x1640, symSize: 0x80 }
  - { offsetInCU: 0xA718, offset: 0xA718, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x16C0, symSize: 0x6A0 }
  - { offsetInCU: 0xB2AD, offset: 0xB2AD, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9EB0, symBinAddr: 0x2700, symSize: 0xB0 }
  - { offsetInCU: 0xB324, offset: 0xB324, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x1D60, symSize: 0x70 }
  - { offsetInCU: 0xB3C0, offset: 0xB3C0, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x1DD0, symSize: 0xA0 }
  - { offsetInCU: 0xB4CB, offset: 0xB4CB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x1E70, symSize: 0x40 }
  - { offsetInCU: 0xB5C1, offset: 0xB5C1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x1EB0, symSize: 0x2B0 }
  - { offsetInCU: 0xB967, offset: 0xB967, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x2160, symSize: 0xC0 }
  - { offsetInCU: 0xBAAD, offset: 0xBAAD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x2220, symSize: 0x10 }
  - { offsetInCU: 0xBB6F, offset: 0xBB6F, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x2230, symSize: 0x220 }
  - { offsetInCU: 0xBE6C, offset: 0xBE6C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x2450, symSize: 0x10 }
  - { offsetInCU: 0xBEC9, offset: 0xBEC9, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x2460, symSize: 0xF0 }
  - { offsetInCU: 0xC016, offset: 0xC016, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9D00, symBinAddr: 0x2550, symSize: 0x10 }
  - { offsetInCU: 0xC073, offset: 0xC073, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x9D10, symBinAddr: 0x2560, symSize: 0x190 }
  - { offsetInCU: 0xC173, offset: 0xC173, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_DestroyRawMonitor_drrawmon001_check, symObjAddr: 0x9EA0, symBinAddr: 0x26F0, symSize: 0x10 }
  - { offsetInCU: 0xC1A8, offset: 0xC1A8, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9F60, symBinAddr: 0x27B0, symSize: 0x36A }
...
